Subject: Re: [Idr] Early allocation expiration for draft-ietf-idr-eag-distribution [was: Re: [idr] 2nd attempt - WG LC on draft -ietf-idr-eag-distribution (10/21/2018 to 11/3/2018) - ]

From: Jeff Tantsura <[email-masked]>
Date: Fri, 18 Oct 2019 14:21:39 -0700

Dear chairs,

The draft in question has now implementations (as reported by Ketan) and authors believe it is ready for WGLC.
Kindly request you to start with the LC.

Thanks and have a great weekend!

Cheers,
Jeff
On Mar 22, 2019, 4:00 PM -0700, Ketan Talaulikar (ketant) <[email-masked]>, wrote:
> Hi John/Sue,
>
> The report is updated with two implementations that we (Les & I) know of.
>
> These implementations were not available at the time of the previous WGLC and request for implementation reports. We would certainly like for the codepoint’s early allocation to be extended.
>
> Thanks,
> Ketan
>
> From: Ketan Talaulikar (ketant)
> Sent: 23 March 2019 02:49
> To: John Scudder <jgs=[email-masked]>; Hares Susan <[email-masked]>; [email-masked]; [email-masked]; Les Ginsberg (ginsberg) <[email-masked]>
> Subject: Re: Early allocation expiration for draft-ietf-idr-eag-distribution [was: Re: [idr] 2nd attempt - WG LC on draft -ietf-idr-eag-distribution (10/21/2018 to 11/3/2018) - ]
>
> + 1
> From: Idr <[email-masked]> on behalf of Les Ginsberg (ginsberg) <[email-masked]>
> Sent: Saturday, March 23, 2019 2:15:55 AM
> To: John Scudder; Hares Susan; [email-masked]; [email-masked]
> Subject: Re: [Idr] Early allocation expiration for draft-ietf-idr-eag-distribution [was: Re: [idr] 2nd attempt - WG LC on draft -ietf-idr-eag-distribution (10/21/2018 to 11/3/2018) - ]
>
> John –
>
> There are implementations of both RFC 7308 and draft-ietf-idr-eag-distribution.
>
> So I definitely support completing this work and can provide further info on the implementations I am aware of if requested.
>
>    Les
>
>
>
> From: Idr <[email-masked]> On Behalf Of John Scudder
> Sent: Friday, March 22, 2019 1:16 PM
> To: Hares Susan <[email-masked]>; [email-masked]; [email-masked]
> Subject: [Idr] Early allocation expiration for draft-ietf-idr-eag-distribution [was: Re: [idr] 2nd attempt - WG LC on draft -ietf-idr-eag-distribution (10/21/2018 to 11/3/2018) - ]
>
> Folks,
>
> I think this is the last traffic I’ve seen on this subject. IANA recently reminded us that we have an early allocation code point for this draft, see https://www.iana.org/assignments/bgp-ls-parameters/bgp-ls-parameters.xhtml
>
> 1173 Extended Administrative Group (TEMPORARY - registered 2018-04-09, expires 2019-04-09)
> 22/14
>
> Note the expiration date. RFC 7120 talks about expiration (https://tools.ietf.org/html/rfc7120#section-3.3), the summary is that we can ask for a renewal for one more year, if we don’t, the allocation gets marked as “deprecated". The chairs often request extension without discussing it with the WG, when we know forward progress is being made. For this draft, I’m not sure progress IS being made, so I would like to get WG input. At issue is whether requirement 2(d) of RFC 7120, "sufficient interest in the community”, is still being met.
>
> When I look at the draft side by side with RFC 7308 I see that it’s more or less a translation, the way we often see for BGP-LS specs. Possibly in light of this the lack of WGLC response was because WG participants considered it too boring to review (sorry) and not exactly due to a lack of desire to see the document advance? On the other hand, with a cursory google search I didn’t find evidence of any vendor claiming support for RFC 7308… which, if so, doesn’t make me optimistic about implementation of this draft (and none has been reported yet, see https://trac.ietf.org/trac/idr/wiki/draft-ietf-idr-eag-distribution%20implementations). The close tracking between bgp-ls specs and IGP specs is one place where the lack of consistency between WG policies is problematic, where we want implementation to advance to RFC and the IGPs don’t.
>
> Since the allocation doesn’t expire until April 9, we have a few weeks. I plan to bring this up at Monday’s meeting, although I encourage you to follow up to this thread too. But to cut to the chase, I think we either need to muster the enthusiasm to complete WGLC for this draft, in which case I will gladly request an extension of the allocation, or… not.
>
> Thanks,
>
> —John
>
> > On Nov 5, 2018, at 4:24 PM, Susan Hares <[email-masked]> wrote:
> >
> > Greetings:
> >
> > There was no response for the WG LC for draft-ietf-idr-eag-distribution-07.txt.
> >
> > Since we had no response and no implementation reports, this draft has not reached consensus.  It will return to the status of WG draft.
> >
> > Cheerily, Susan Hares
> > Shepherd
> > WG Co-chair
>